Package org.opensaml.security.x509

# Class TrustedNamesCriterion

java.lang.Object
org.opensaml.security.x509.TrustedNamesCriterion

All Implemented Interfaces:
  `Criterion`

public class TrustedNamesCriterion extends Object implements Criterion
A criterion implementation for conveying a dynamically-generated set of trusted names for PKIX validation purposes. This criterion would typically be evaluated by a `PKIXValidationInformationResolver` that supports trusted name resolution.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Set<String>`
`trustedNames`
The set of trusted names.

## Constructor Summary

Constructors
Constructor
Description
`TrustedNamesCriterion(Set<String> names)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Set<String>`
`getTrustedNames()`
Get the set of trusted names.
`int`
`hashCode()`
`private Set<String>`
`processNames(Set<String> names)`
Sanitize input names.
`void`
`setTrustedNames(Set<String> names)`
Set the set of trusted names.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### trustedNames

@Nonnull private Set<String> trustedNames
The set of trusted names.

## Constructor Details

### TrustedNamesCriterion

public TrustedNamesCriterion(@Nullable Set<String> names)
Constructor.

Parameters:
  `names` - the set of trusted names

## Method Details

### getTrustedNames

@Nonnull @NotLive @Unmodifiable public Set<String> getTrustedNames()
Get the set of trusted names.

Returns:
  the set of trusted names

### setTrustedNames

public void setTrustedNames(@Nullable Set<String> names)
Set the set of trusted names.

Parameters:
  `names` - the new trusted names

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### processNames

@Nonnull @NotLive @Unmodifiable private Set<String> processNames(@Nullable Set<String> names)
Sanitize input names.

Parameters:
  `names` - input names
Returns:
  sanitized set